Package org.springframework.security.web.server.ui

# Class LoginPageGeneratingWebFilter

java.lang.Object
org.springframework.security.web.server.ui.LoginPageGeneratingWebFilter

All Implemented Interfaces:
  `org.springframework.web.server.WebFilter`

public class LoginPageGeneratingWebFilter extends Object implements org.springframework.web.server.WebFilter
Generates a default log in page used for authenticating users.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`LoginPageGeneratingWebFilter()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`
`void`
`setFormLoginEnabled(boolean enabled)`
`void`
`setGenerateOneTimeTokenUrl(String generateOneTimeTokenUrl)`
Specifies the URL that a One-Time Token generate request will be processed.
`void`
`setOauth2AuthenticationUrlToClientName(Map<String,String> oauth2AuthenticationUrlToClientName)`
`void`
`setOneTimeTokenEnabled(boolean oneTimeTokenEnabled)`
Set if one-time token login is supported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoginPageGeneratingWebFilter

public LoginPageGeneratingWebFilter()

## Method Details

### setGenerateOneTimeTokenUrl

public void setGenerateOneTimeTokenUrl(String generateOneTimeTokenUrl)
Specifies the URL that a One-Time Token generate request will be processed.

Parameters:
  `generateOneTimeTokenUrl` -
Since:
  6.4

### setFormLoginEnabled

public void setFormLoginEnabled(boolean enabled)

### setOneTimeTokenEnabled

public void setOneTimeTokenEnabled(boolean oneTimeTokenEnabled)
Set if one-time token login is supported. Defaults to `false`.

Parameters:
  `oneTimeTokenEnabled` -

### setOauth2AuthenticationUrlToClientName

public void setOauth2AuthenticationUrlToClientName(Map<String,String> oauth2AuthenticationUrlToClientName)

### filter

public reactor.core.publisher.Mono<Void> filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

Specified by:
  `filter` in interface `org.springframework.web.server.WebFilter`